using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;
using System.Text.Json.Serialization;

namespace Insight.Infrastructure.Entities
{
    [BsonIgnoreExtraElements]
    public class HostSystemEntity
    {
        [BsonId, BsonRepresentation(BsonType.ObjectId), JsonPropertyName("id")]
        public string? Id { get; set; }

        [BsonElement("_host"), BsonRepresentation(BsonType.ObjectId), JsonPropertyName("host")]
        public string? Host { get; set; }

        [BsonElement("insert")]
        public DateTime? Insert { get; set; }

        [BsonElement("update")]
        public DateTime? Update { get; set; }

        [BsonElement("localtime")]
        public DateTime? LocalTime { get; set; }

        [BsonElement("bootuptime")]
        public DateTime? BootUpTime { get; set; }

        [BsonElement("processes")]
        public uint? Processes { get; set; }

        [BsonElement("license")]
        public string? License { get; set; }
    }
}